Loading...
Searching...
No Matches
BALL::GeometricFit::Option Struct Reference

`#include <BALL/DOCKING/geometricFit.h>`

## Static Public Attributes

static const String | NEAR_RADIUS
static const String | GRID_SPACING
static const String | GRID_SIZE
static const String | SURFACE_THICKNESS
static const String | DEGREE_INTERVAL
static const String | TOP_N
static const String | SURFACE_TYPE
static const String | BEST_NUM
static const String | VERBOSITY
static const String | PHI_MIN
static const String | PHI_MAX
static const String | DEG_PHI
static const String | THETA_MIN
static const String | THETA_MAX
static const String | DEG_THETA
static const String | PSI_MIN
static const String | PSI_MAX
static const String | DEG_PSI
static const String | PENALTY_STATIC
static const String | PENALTY_MOBILE
static const String | NUMBER_OF_PROCESSES
static const String | SLAVE_PATH

## Detailed Description

Symbolic names for option keys. This struct contains a symbolic name for each recognized key in FDPB::options.

  For each symbol the required type is given under parameters.

Definition at line 47 of file geometricFit.h.

## Member Data Documentation

## BEST_NUM

const String BALL::GeometricFit::Option::BEST_NUM

static

Definition at line 83 of file geometricFit.h.

## DEG_PHI

const String BALL::GeometricFit::Option::DEG_PHI

static

Definition at line 91 of file geometricFit.h.

## DEG_PSI

const String BALL::GeometricFit::Option::DEG_PSI

static

Definition at line 99 of file geometricFit.h.

## DEG_THETA

const String BALL::GeometricFit::Option::DEG_THETA

static

Definition at line 95 of file geometricFit.h.

## DEGREE_INTERVAL

const String BALL::GeometricFit::Option::DEGREE_INTERVAL

static

Definition at line 69 of file geometricFit.h.

## GRID_SIZE

const String BALL::GeometricFit::Option::GRID_SIZE

static

Definition at line 60 of file geometricFit.h.

## GRID_SPACING

const String BALL::GeometricFit::Option::GRID_SPACING

static

Definition at line 57 of file geometricFit.h.

## NEAR_RADIUS

const String BALL::GeometricFit::Option::NEAR_RADIUS

static

Definition at line 53 of file geometricFit.h.

## NUMBER_OF_PROCESSES

const String BALL::GeometricFit::Option::NUMBER_OF_PROCESSES

static

Definition at line 107 of file geometricFit.h.

## PENALTY_MOBILE

const String BALL::GeometricFit::Option::PENALTY_MOBILE

static

Definition at line 104 of file geometricFit.h.

## PENALTY_STATIC

const String BALL::GeometricFit::Option::PENALTY_STATIC

static

Definition at line 103 of file geometricFit.h.

## PHI_MAX

const String BALL::GeometricFit::Option::PHI_MAX

static

Definition at line 90 of file geometricFit.h.

## PHI_MIN

const String BALL::GeometricFit::Option::PHI_MIN

static

Definition at line 89 of file geometricFit.h.

## PSI_MAX

const String BALL::GeometricFit::Option::PSI_MAX

static

Definition at line 98 of file geometricFit.h.

## PSI_MIN

const String BALL::GeometricFit::Option::PSI_MIN

static

Definition at line 97 of file geometricFit.h.

## SLAVE_PATH

const String BALL::GeometricFit::Option::SLAVE_PATH

static

Definition at line 110 of file geometricFit.h.

## SURFACE_THICKNESS

const String BALL::GeometricFit::Option::SURFACE_THICKNESS

static

Definition at line 64 of file geometricFit.h.

## SURFACE_TYPE

const String BALL::GeometricFit::Option::SURFACE_TYPE

static

Surface definition to use for the inside/outside criterion. Possible options are: SurfaceType::CONNOLLY and SurfaceType::VAN_DER_WAALS

See also
  Default::SURFACE_TYPE

Parameters

  surface_type | int

Definition at line 80 of file geometricFit.h.

## THETA_MAX

const String BALL::GeometricFit::Option::THETA_MAX

static

Definition at line 94 of file geometricFit.h.

## THETA_MIN

const String BALL::GeometricFit::Option::THETA_MIN

static

Definition at line 93 of file geometricFit.h.

## TOP_N

const String BALL::GeometricFit::Option::TOP_N

static

Definition at line 72 of file geometricFit.h.

## VERBOSITY

const String BALL::GeometricFit::Option::VERBOSITY

static

Definition at line 86 of file geometricFit.h.